#### UneFede DEFAULT configuration
#### DO NOT EDIT HERE !! ####
#### OVERRIDEN BY config.properties ####

### Setting the bot ###

## IRC server and channel settings ##
#Main server address
SERVER=irc.geeknode.net
#Main port
PORT=6667
#Channels with
CHANNELS=#Marmat,#ffdn

##IRC bot admins setting ##
#Set who will be messaged if the bot needs to: exemple: if it get's kicked from somewhere
#To set multiple admins, use the character ',' to split them.
Admins=Marmat

## Bot settings
#Bot name
Bot_name=UneFede2
#Bot description
Bot_desc=Gentille Droide de la fédération, <3 Marmat
#Time the bot will wait until it retry to connect when disconnected
Timeout_before_reconnecting=360
#Time in milliseconds beween each messages the bot can say
Time_between_messages=200
#Time in miliseconds the bot will wait before reconnecting to a channel it just went kicked of
Wait_before_reconnecting_when_kicked=10000
#Allow Private messages
Allow_private_messages=true
#Respond using private channel(true) instead of public channel(false)
Respond_using_private_channel=true

##Developpment and debug settings
#Will the bot be explicit or stay quiet (Warning: It Speaks a LOT!)
Debug=false;

##DB cache settings
#Time between each +reload allowed in seconds
Minimum_time_beetween_+reload=360
#Time between each autoreload in seconds
CacheReloader_timeout=3600

## Actions settings
Caractere_commande=-

## Allowed Actions Properties
listeall=true
infoall=false

##RSS settings
RSS_address = https://planet.ffdn.org/atom.xml
RSS_new_article_check=3600


#Mastodon
Mastodon_access_token=""
Mastodon_instance=toot.aquilenet.fr
Mastodon_enable=true

#Twitter
Twitter_enable=true